Try ERPNext Buy Support Partners Foundation

Mail Setup of custom domain hosted with godaddy

Hi,
My client has his mail hosted with godaddy.
I am unable to set it up on epnext server.
I get “Request timed out” message.
Please help this is quite urgent

What settings are you using?

go through the manual and make sure to follow all the steps. https://erpnext.org/docs/user/manual/en/setting-up/email/email-account

I am able setup gmail domain
but here the domain doesn’t get saved.
for the godaddy hosting there is no tsl or ssl.
I cant telnet their smpt port from any server.
I tried using both pop as well as imap settings .

Once you know godday’s mail service settings and ports, confirm that they work - that is, that you can connect to that service

Were you able to set up?

Something went wrong
Server Error: Please check your server logs or contact tech support.
Traceback (most recent call last):
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/email/queue.py”, line 441, in send_one
smtpserver.sess.sendmail(email.sender, recipient.recipient, encode(message))
File “/usr/lib/python3.8/smtplib.py”, line 871, in sendmail
raise SMTPSenderRefused(code, resp, from_addr)
smtplib.SMTPSenderRefused: (530, b’5.7.0 Authentication Required. Learn more at\n5.7.0 https://support.google.com/mail/?p=WantAuthError 130sm967856qko.113 - gsmtp’, 'ERP Admin ')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/app.py”, line 61, in application
response = frappe.handler.handle()
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/handler.py”, line 21, in handle
data = execute_cmd(cmd)
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/handler.py”, line 56, in execute_cmd
return frappe.call(method, **frappe.form_dict)
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/init.py”, line 1036, in call
return fn(*args, **newargs)
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 819, in reset_password
user.reset_password(send_email=True)
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 227, in reset_password
self.password_reset_mail(link)
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 245, in password_reset_mail
self.send_login_mail(_(“Password Reset”),
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 293, in send_login_mail
frappe.sendmail(recipients=self.email, sender=sender, subject=subject,
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/init.py”, line 465, in sendmail
queue.send(recipients=recipients, sender=sender,
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/email/queue.py”, line 132, in send
add(recipients, sender, subject,
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/email/queue.py”, line 180, in add
send_one(email_queue.name, now=True)
File “/opt/erpnext/frappe-bench/apps/frappe/frappe/email/queue.py”, line 499, in send_one
print(frappe.get_traceback())
BrokenPipeError: [Errno 32] Broken pipe

I am getting this error when I am trying to reset the user password.